Gentoo Websites Logo
Go to: Gentoo Home Documentation Forums Lists Bugs Planet Store Wiki Get Gentoo!
Bug 661862 - lxqt-base/lxqt-panel-0.11.0 fails to build with Qt 5.11.1
Summary: lxqt-base/lxqt-panel-0.11.0 fails to build with Qt 5.11.1
Status: RESOLVED FIXED
Alias: None
Product: Gentoo Linux
Classification: Unclassified
Component: Current packages (show other bugs)
Hardware: All Linux
: Normal normal (vote)
Assignee: LxQt maintainers
URL:
Whiteboard:
Keywords:
Depends on: 605266 lxqt-0.13.0-stable
Blocks: qt-5.11
  Show dependency tree
 
Reported: 2018-07-23 08:32 UTC by Xavier Miller
Modified: 2018-08-25 12:02 UTC (History)
0 users

See Also:
Package list:
Runtime testing required: ---


Attachments
build log (build.log,204.60 KB, application/octet-stream)
2018-07-23 08:32 UTC, Xavier Miller
Details

Note You need to log in before you can comment on or make changes to this bug.
Description Xavier Miller gentoo-dev 2018-07-23 08:32:25 UTC
Created attachment 540562 [details]
build log

[ 25%] Building CXX object plugin-mainmenu/CMakeFiles/mainmenu.dir/lxqtmainmenuconfiguration.cpp.o
cd /var/tmp/portage/lxqt-base/lxqt-panel-0.11.0/work/lxqt-panel-0.11.0_build/plugin-mainmenu && /usr/bin/x86_64-pc-linux-gnu-g++ -DHAVE_MENU_CACHE=1 -DLXQT_DATA
_DIR=\"/usr/share\" -DLXQT_ETC_XDG_DIR=\"/etc/xdg\" -DLXQT_GRAPHICS_DIR=\"/usr/share/lxqt/graphics\" -DLXQT_RELATIVE_SHARE_DIR=\"lxqt\" -DLXQT_RELATIVE_SHARE_TR
ANSLATIONS_DIR=\"lxqt/translations\" -DLXQT_SHARE_DIR=\"/usr/share/lxqt\" -DLXQT_SHARE_TRANSLATIONS_DIR=\"/usr/share/lxqt/translations\" -DLXQT_VERSION=\"0.11.0
\" -DPLUGIN_DIR=\"/usr/lib64/lxqt-panel\" -DQT_CORE_LIB -DQT_DBUS_LIB -DQT_GUI_LIB -DQT_NO_DEBUG -DQT_SVG_LIB -DQT_USE_QSTRINGBUILDER -DQT_WIDGETS_LIB -DQT_X11E
XTRAS_LIB -DQT_XML_LIB -DWITH_CLOCK_PLUGIN -DWITH_DESKTOPSWITCH_PLUGIN -DWITH_MAINMENU_PLUGIN -I/var/tmp/portage/lxqt-base/lxqt-panel-0.11.0/work/lxqt-panel-0.1
1.0_build/plugin-mainmenu -I/var/tmp/portage/lxqt-base/lxqt-panel-0.11.0/work/lxqt-panel-0.11.0/plugin-mainmenu -I/var/tmp/portage/lxqt-base/lxqt-panel-0.11.0/w
ork/lxqt-panel-0.11.0_build/plugin-mainmenu/mainmenu_autogen/include -I/usr/include/menu-cache -I/usr/include/glib-2.0 -I/usr/lib64/glib-2.0/include -isystem /u
sr/include/qt5 -isystem /usr/include/qt5/QtWidgets -isystem /usr/include/qt5/QtGui -isystem /usr/include/qt5/QtCore -isystem /usr/lib64/qt5/mkspecs/linux-g++ -i
system /usr/include/qt5/QtXml -isystem /usr/include/qt5/QtDBus -isystem /usr/include/lxqt -isystem /usr/include/lxqt/LXQt -isystem /usr/include/KF5/KWindowSyste
m -isystem /usr/include/KF5 -isystem /usr/include/qt5/QtX11Extras -isystem /usr/include/qt5xdg -isystem /usr/include/qt5xdgiconloader -isystem /usr/include/qt5x
dgiconloader/2.0.0 -isystem /usr/include/qt5/QtSvg -isystem /usr/include/lxqt-globalkeys -isystem /usr/include/lxqt-globalkeys-ui   -DNDEBUG -O2 -pipe -fomit-fr
ame-pointer -march=k8-sse3 -mtune=k8 -std=c++11 -fvisibility=hidden -fvisibility-inlines-hidden -fno-exceptions -fPIC   -Wall -fPIC -std=gnu++11 -o CMakeFiles/m
ainmenu.dir/lxqtmainmenuconfiguration.cpp.o -c /var/tmp/portage/lxqt-base/lxqt-panel-0.11.0/work/lxqt-panel-0.11.0/plugin-mainmenu/lxqtmainmenuconfiguration.cpp
/var/tmp/portage/lxqt-base/lxqt-panel-0.11.0/work/lxqt-panel-0.11.0/plugin-mainmenu/lxqtmainmenuconfiguration.cpp: In constructor ‘LXQtMainMenuConfiguration::LX
QtMainMenuConfiguration(PluginSettings*, GlobalKeyShortcut::Action*, const QString&, QWidget*)’:
/var/tmp/portage/lxqt-base/lxqt-panel-0.11.0/work/lxqt-panel-0.11.0/plugin-mainmenu/lxqtmainmenuconfiguration.cpp:71:105: error: no matching function for call t
o ‘LXQtMainMenuConfiguration::connect(QAction*, const char [13], LXQtMainMenuConfiguration*, const char [17])’
     connect(ui->shortcutEd->addMenuAction(tr("Reset")), SIGNAL(triggered()), this, SLOT(shortcutReset()));
Comment 1 Xavier Miller gentoo-dev 2018-07-23 08:32:55 UTC
$ emerge --info

Portage 2.3.43 (python 3.5.5-final-0, default/linux/amd64/17.1/no-multilib, gcc-8.1.0, glibc-2.27-r5, 4.17.8-gentoo x86_64)
=================================================================
                         System Settings
=================================================================
System uname: Linux-4.17.8-gentoo-x86_64-Intel-R-_Celeron-R-_2957U_@_1.40GHz-with-gentoo-2.6
KiB Mem:     3960372 total,    680444 free
KiB Swap:    4094972 total,   2394252 free
Timestamp of repository gentoo: Sat, 21 Jul 2018 07:30:01 +0000
sh bash 4.4_p23
ld GNU gold (Gentoo 2.30 p3 2.30.0) 1.15
distcc 3.2rc1 x86_64-pc-linux-gnu [disabled]
app-shells/bash:          4.4_p23::gentoo
dev-lang/perl:            5.26.2::gentoo
dev-lang/python:          2.7.15::gentoo, 3.5.5-r1::gentoo
dev-util/cmake:           3.12.0::gentoo
dev-util/pkgconfig:       0.29.2::gentoo
sys-apps/baselayout:      2.6::gentoo
sys-apps/openrc:          0.38.1::gentoo
sys-apps/sandbox:         2.13::gentoo
sys-devel/autoconf:       2.13::gentoo, 2.69-r4::gentoo
sys-devel/automake:       1.13.4-r2::gentoo, 1.16.1-r1::gentoo
sys-devel/binutils:       2.30-r3::gentoo
sys-devel/gcc:            8.1.0-r3::gentoo
sys-devel/gcc-config:     1.9.1::gentoo
sys-devel/libtool:        2.4.6-r5::gentoo
sys-devel/make:           4.2.1-r3::gentoo
sys-kernel/linux-headers: 4.17::gentoo (virtual/os-headers)
sys-libs/glibc:           2.27-r5::gentoo
Repositories:

gentoo
    location: /usr/portage
    sync-type: git
    sync-uri: git://anongit.gentoo.org/repo/gentoo.git
    priority: -1000

gentoo-kodi-overlay
    location: /data/nas/xavier/portage/microwave/usr/local/portage/gentoo-kodi-overlay
    masters: gentoo
    priority: 0

local
    location: /data/nas/xavier/portage/microwave/usr/local/portage/overlay
    masters: gentoo
    priority: 1

proaudio
    location: /var/lib/layman/proaudio
    masters: gentoo
    priority: 50

xmw
    location: /var/lib/layman/xmw
    masters: gentoo
    priority: 50

ACCEPT_KEYWORDS="amd64 ~amd64"
ACCEPT_LICENSE="@FREE as-is freedist"
CBUILD="x86_64-pc-linux-gnu"
CFLAGS="-O2 -pipe -fomit-frame-pointer -march=k8-sse3 -mtune=k8"
CHOST="x86_64-pc-linux-gnu"
CONFIG_PROTECT="/etc /usr/share/config /usr/share/gnupg/qualified.txt"
CONFIG_PROTECT_MASK="/etc/ca-certificates.conf /etc/dconf /etc/env.d /etc/fonts/fonts.conf /etc/gconf /etc/gentoo-release /etc/revdep-rebuild /etc/sandbox.d /etc/terminfo"
CXXFLAGS="-O2 -pipe -fomit-frame-pointer -march=k8-sse3 -mtune=k8"
DISTDIR="/var/portage/distfiles"
EMERGE_DEFAULT_OPTS="--with-bdeps y --quiet-build=n --buildpkg"
ENV_UNSET="DBUS_SESSION_BUS_ADDRESS DISPLAY PERL5LIB PERL5OPT PERLPREFIX PERL_CORE PERL_MB_OPT PERL_MM_OPT XAUTHORITY XDG_CACHE_HOME XDG_CONFIG_HOME XDG_DATA_HOME XDG_RUNTIME_DIR"
FCFLAGS="-O2 -pipe"
FEATURES="assume-digests binpkg-logs buildpkg candy config-protect-if-modified distlocks ebuild-locks fixlafiles merge-sync multilib-strict news parallel-fetch preserve-libs protect-owned sandbox sfperms strict unknown-features-warn unmerge-logs unmerge-orphans userfetch userpriv usersandbox usersync"
FFLAGS="-O2 -pipe"
GENTOO_MIRRORS="http://distfiles.gentoo.org"
LANG="fr_BE.utf8"
LDFLAGS="-Wl,-O1 -Wl,--sort-common -Wl,--hash-style=gnu -Wl,--as-needed"
LINGUAS="fr fr_FR fr_BE nl nl_NL nl_BE"
MAKEOPTS="-j5 -l3"
PKGDIR="/var/portage/packages"
PORTAGE_CONFIGROOT="/"
PORTAGE_RSYNC_OPTS="--recursive --links --safe-links --perms --times --omit-dir-times --compress --force --whole-file --delete --stats --human-readable --timeout=180 --exclude=/distfiles --exclude=/local --exclude=/packages --exclude=/.git"
PORTAGE_TMPDIR="/var/tmp"
USE="3dnow 3dnowext X a52 aac acpi alsa amd64 apng branding bzip2 cairo cdda cli crossdev crypt css cups cxx dbus dlna dri dts dvd exif flac gif glamor gpm gtk gudev iconv imagemagick jpeg lcms libcanberra libinput libnotify libtirpc mad mmx mng modules mp3 mpeg ncurses nls nptl ogg opengl openmp opus pam pango pcre pdf png printsupport python3 qt5 readline sane scanner sdl seccomp sna sndfile snmp spell sqlite sse sse2 ssl startup-notification svg symlink tcpd tiff truetype udev unicode upnp usb vdpau vorbis wmf x264 xattr xcb xinerama xkb xml xosd xscreensaver xv xvid xvmc zlib" ABI_X86="64" ALSA_CARDS="ice1712 hda-intel usb-audio virmidi" APACHE2_MODULES="authn_core authz_core socache_shmcb unixd actions alias auth_basic authn_alias authn_anon authn_dbm authn_default authn_file authz_dbm authz_default authz_groupfile authz_host authz_owner authz_user autoindex cache cgi cgid dav dav_fs dav_lock deflate dir disk_cache env expires ext_filter file_cache filter headers include info log_config logio mem_cache mime mime_magic negotiation rewrite setenvif speling status unique_id userdir usertrack vhost_alias" CALLIGRA_FEATURES="karbon plan sheets stage words" COLLECTD_PLUGINS="df interface irq load memory rrdtool swap syslog" CPU_FLAGS_X86="3dnow 3dnowext mmx mmxext sse sse2 sse3" ELIBC="glibc" GPSD_PROTOCOLS="ashtech aivdm earthmate evermore fv18 garmin garmintxt gpsclock isync itrax mtk3301 nmea ntrip navcom oceanserver oldstyle oncore rtcm104v2 rtcm104v3 sirf skytraq superstar2 timing tsip tripmate tnt ublox ubx" INPUT_DEVICES="keyboard mouse libinput" KERNEL="linux" L10N="fr nl" LCD_DEVICES="bayrad cfontz cfontz633 glk hd44780 lb216 lcdm001 mtxorb ncurses text" LIBREOFFICE_EXTENSIONS="presenter-console presenter-minimizer" OFFICE_IMPLEMENTATION="libreoffice" PHP_TARGETS="php5-6 php7-0" POSTGRES_TARGETS="postgres9_5 postgres10" PYTHON_SINGLE_TARGET="python3_5" PYTHON_TARGETS="python2_7 python3_5" RUBY_TARGETS="ruby23" USERLAND="GNU" VIDEO_CARDS="radeon r600" XTABLES_ADDONS="quota2 psd pknock lscan length2 ipv4options ipset ipp2p iface geoip fuzzy condition tee tarpit sysrq steal rawnat logmark ipmark dhcpmac delude chaos account"
Unset:  CC, CPPFLAGS, CTARGET, CXX, INSTALL_MASK, LC_ALL, PORTAGE_BINHOST, PORTAGE_BUNZIP2_COMMAND, PORTAGE_COMPRESS, PORTAGE_COMPRESS_FLAGS, PORTAGE_RSYNC_EXTRA_OPTS
Comment 3 Andreas Sturmlechner gentoo-dev 2018-08-17 21:19:17 UTC
So, is this finally fixed by 0.13.0?
Comment 4 Chiitoo gentoo-dev 2018-08-17 22:22:40 UTC
Thanks for the reminder!

Fixed in 0.13.0, which is finally in Portage.